Description

Hello there,

it would be very helpful if we would be able to change the "No Match Found!" message that is included via the third party library

tribute.js. I could hardcode it into the file itself, but that just seems odd.

Best regards

Associated revisions

Revision 21377 - 2022-01-22 09:23 - Marius BĂLTEANU

Don't display "No Match Found!" when the inline autocomplete doesn't return any result (#35215).

Patch by Takashi Kato.

Revision 21378 - 2022-01-22 09:27 - Marius BĂLTEANU

Merged r21377 from trunk to 4.2-stable (#35215).

History

#1 - 2021-05-10 16:49 - Takashi Kato

- File patch1.diff added

In the "tribute.js", the "noMatchTemplate" property for each entry in the "collection" is ineffective. (README is confusing. I raise an issue if I can.) The

"noMatchTemplate" specified separately from the "collection" is effective.

An empty string is effective if not want to display a message when there is no match. No function is needed. (again, README is confusing.)

#2 - 2022-01-06 03:57 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#3 - 2022-01-07 17:30 - Marius BĂLTEANU

- Target version set to Candidate for next minor release

I think it's better to not show any message as Takashi Kato proposes.

#4 - 2022-01-22 09:29 - Marius BĂLTEANU

- Tracker changed from Feature to Patch

- Subject changed from tribute.js third party library localization to Don't display "No Match Found!" when the inline autocomplete doesn't return any

result

- Category set to UI

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 4.2.4

Patch committed, thanks!

I didn't merge it to 4.1-stable because of the conflicts.
nomatch.png 6.79 KB 2021-05-06 der gl0wn

patch1.diff 952 Bytes 2021-05-10 Takashi Kato
